View Issue Details

IDProjectCategoryView StatusLast Update
0003217Ham Radio DeluxeBugpublic2019-03-31 11:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.197 
Target VersionFixed in Version6.5.0.207 
Summary0003217: slider for "scan resume" on FTDX-1200 shows incorrect settings, doesn't work
DescriptionWhen connected to an FTDX-1200, Rig Control presents a slider that says "046 Scan Resume". This slider doesn't set the scan resume feature of the radio, and doesn't show correct choices for the setting.
Steps To Reproduce1) Open Rig Control and connect to an FTDX-1200 radio
2) Use the "Menu" button on the radio to access the menu settings
3) Use the VFO B dial to scroll to setting 48, which is "MIC SCAN RESUME"

4) Use the Customize Layout window to make sure the "046 Scan Resume" slider is visible

BUG#1) Use the VFO B knob on the radio to change the setting. It can be set to "PAUSE" or "TIME". Changes to the radio aren't reflected in the HRD UI.

BUG#2) Use the Rig Control UI to change the slider. The radio's setting doesn't change.


TagsFTDX-1200, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Activities

K7ZCZ

2019-03-06 10:45

administrator   ~0007592

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4871

WA9PIE

2019-03-26 14:28

administrator   ~0007748

Last edited: 2019-03-26 14:30

View 2 revisions

Validated during tests at HRO - Plano (TX)

I think Step 4 should reference menu 48.

Issue History

Date Modified Username Field Change
2019-03-03 12:35 K7ZCZ New Issue
2019-03-04 12:58 K7ZCZ Tag Attached: Yaesu
2019-03-04 12:59 K7ZCZ Tag Attached: FTDX-1200
2019-03-06 10:45 K7ZCZ Assigned To => K7ZCZ
2019-03-06 10:45 K7ZCZ Status new => resolved
2019-03-06 10:45 K7ZCZ Resolution open => fixed
2019-03-06 10:45 K7ZCZ Note Added: 0007592
2019-03-06 21:45 K7ZCZ Fixed in Version => 6.5.0.200
2019-03-26 14:28 WA9PIE Status resolved => closed
2019-03-26 14:28 WA9PIE Description Updated View Revisions
2019-03-26 14:28 WA9PIE Testing Not Started => Beta Successful
2019-03-26 14:28 WA9PIE Note Added: 0007748
2019-03-26 14:30 WA9PIE Note Edited: 0007748 View Revisions
2019-03-31 11:13 WA9PIE Fixed in Version 6.5.0.200 => 6.5.0.207
2019-03-31 11:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe